Module java.rmi
Package java.rmi.server

## Class ServerNotActiveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.rmi.server.ServerNotActiveException

All Implemented Interfaces:
  `Serializable`

    public class ServerNotActiveException
    extends Exception

An `ServerNotActiveException` is an `Exception` thrown during a call to `RemoteServer.getClientHost` if the getClientHost method is called outside of servicing a remote method call.

Since:
  1.1
See Also:
  `RemoteServer.getClientHost()`, Serialized Form

### Constructor Summary

Constructors
`ServerNotActiveException()` Constructs an `ServerNotActiveException` with no specified detail message.
`ServerNotActiveException​(String s)` Constructs an `ServerNotActiveException` with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServerNotActiveException

    public ServerNotActiveException()

Constructs an `ServerNotActiveException` with no specified detail message.

Since:
  1.1

#### ServerNotActiveException

    public ServerNotActiveException​(String s)

Constructs an `ServerNotActiveException` with the specified detail message.

Parameters:
  `s` - the detail message.
Since:
  1.1